Subject: Installing PostgreSQL on Windows using Cygwin
From: "Chris Schneider" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 17 Nov 2002 13:42:45 -0500

***For those accustomed to setting up on Linux, you do not need to run 'configure' and 'gmake' to install PostgreSQL...Cygwin performs the install for you, however it puts the executables in the /bin dir vs. the default PostgreSQL install dir of /usr/local/pgsql.  ***
	 
	--Dowload and install Cygwin, which can be obtained at www.cygwin.com (though I guess you already know that if your reading this entry)
	 
	 -- You can pick any of the packages you want, but you'll need at a minimum...Base (this is the default), PostgreSQL, Bzip2 (under the Utils section; I believe it grabs the libraries automotically in the Libs section, but I manully selected those just in case).  I recommend grabbing VIM editor as well, though not required.
	 
	--Open a bash shell, by clicking on the Cygwin icon created by the install (assuming you checked the boxes at the end of the install)
	 
	--Install cygipc (V1.13), you can download the file from... http://www.neuro.gatech.edu/users/cwilson/cygutils/cygipc/  
	You'll need the bzip2 utility to do this, hence why I said to grab it in step 2.  You'll find it in /bin.  In order to uzip files, copy the bzip2.exe to bunzip2.exe.   
	 
	--Execute the command 'bunzip2 cygipc-1.13-2.tar.bz2'
	 
	--Then copy the cygipc-1.13-2.tar to / and execute the command 'tar xvf cygipc-1.13-2.tar'
	 
	--Execute the command 'ipc-daemon &' from a bash shell
	 
	Now you are ready to proceed with the normal PostgreSQL setup....
	 
	--Execute 'initdb -D /data'  (or wherever you want the database created)
	 
	--Run 'postmaster -D /data' (also use the -i option if you plan to connect from another client)
	 
	--Then create the database and all the other typical PostgreSQL stuff.
	 
	Hope this helps.  
	 
	Chris Schneider ([email-masked])

		-----Original Message----- 
		From: Kurt Roeckx [mailto:[email-masked]] 
		Sent: Sun 11/17/2002 9:32 AM 
		To: Chris Schneider 
		Cc: 
		Subject: Re: Help With PostgreSQL On Cygwin

		Chris Schneider <[email-masked]> wrote:
		> Thanks a million, that worked like a charm!  PostgreSQL is up and
		> running
		
		May I ask what version of cygipc you used on what OS?  I'm having
		the same problem on XP and it's not working.

		Kurt